[Ndn-lib] NDN Platform Build Support - needs update

Junxiao Shi shijunxiao at email.arizona.edu
Wed Jul 23 20:54:38 PDT 2014


Dear folks

NDN Platform Development Guidelines - Build Support
<http://named-data.net/codebase/platform/documentation/ndn-platform-development-guidelines/#Build_support>
states
that a project should build on the following platforms:

   - Ubuntu 12.04 (gcc 4.6.3), 64 bit, 2GB
   - Ubuntu 12.04 (gcc 4.6.3), 32 bit, 2GB
   - OS X 10.9 (clang 5.0) ,64 bit, 2GB
   - OS X 10.8 (clang 4.2), 64 bit, 2GB
   - OS X 10.7, 64 bit, 2GB
   - Optional: The latest Ubuntu (e.g., 13.10), 64 bit, 2GB
   - Optional: Windows Visual Studio, 64 bit, 2GB
   - Optional: FreeBSD 9.1 (clang 3.1), 64 bit, 2GB

This list is outdated.

I suggest replacing it with the following:

   - latest Ubuntu LTS release with gcc that comes with apt repository,
   both 32-bit and 64-bit, 2GB memory
      - as of Jul 2014, Ubuntu 14.04
   - previous Ubuntu LTS release with gcc that comes with apt repository,
   64-bit, 2GB memory
      - as of Jul 2014, Ubuntu 12.04
   - latest three OS X releases with clang that comes with XCode, 64-bit,
   2GB memory
      - as of Jul 2014, OS X 10.10, 10.9, and 10.8
   - OPTIONAL: latest Ubuntu release with gcc that comes with apt
   repository, if non LTS
      - as of Jul 2014, none
   - OPTIONAL: latest FreeBSD RELEASE with clang that comes with ports
   repository, 64 bit, 2GB memory
      - as of Jul 2014, FreeBSD 10.0-RELEASE
   - OPTIONAL: latest Windows PC with Visual Studio, 64 bit, 2GB memory


Yours, Junxiao
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.lists.cs.ucla.edu/pipermail/ndn-lib/attachments/20140723/f431e4c6/attachment.html>


More information about the Ndn-lib mailing list